Package org.jdesktop.animation.timing.triggers

## Class FocusTriggerEvent

- java.lang.Object
- - org.jdesktop.animation.timing.triggers.TriggerEvent
  - - org.jdesktop.animation.timing.triggers.FocusTriggerEvent

    public class FocusTriggerEvent
    extends TriggerEvent

Focus In/Out events

### Field Summary

Fields
`static FocusTriggerEvent` `IN` Event fired when Component receives focus
`static FocusTriggerEvent` `OUT` Event fired when Component loses focus

### Method Summary

All Methods Instance Methods Concrete Methods
`TriggerEvent` `getOppositeEvent()` This method finds the opposite of the current event.: IN -> OUT and OUT -> IN.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### IN

    public static final FocusTriggerEvent IN

Event fired when Component receives focus

#### OUT

    public static final FocusTriggerEvent OUT

Event fired when Component loses focus

### Method Detail

#### getOppositeEvent

    public TriggerEvent getOppositeEvent()

This method finds the opposite of the current event.: IN -> OUT and OUT -> IN.

Overrides:
  `getOppositeEvent` in class `TriggerEvent`